Description

An EVA kerbal (kerbal A) who is "close enough" to another EVA kerbal (kerbal B) can activate the PAW actions related to kerbal B's

personal parachute, e.g. deploy, disarm, repack, etc.

This is possible even if kerbal A is not an engineer and/or does not have the ability to use EVA parachute themselves. (e.g. Lvl 0

Scientist).

This behavior does not seem logical.

- EVAChuteSkill should be required to perform any actions associated with the personal parachute.

- Actions like deploy and disarm should only be controlled by the kerbal who is actually wearing the parachute.

- It is understandable to be able to repack someone else's parachute for them, but that should require EVAChuteSkill to perform the

task.

Was this overlooked somehow or is it actually WAI?

History

#1 - 06/07/2019 07:36 AM - cake-pie

cake-pie wrote:

can activate the PAW actions

For the sake of clarity: this refers to KSPEvent, not KSPAction.

#2 - 11/01/2019 03:47 PM - victorr
- Status changed from New to Confirmed
- Assignee set to victorr

- % Done changed from 0 to 10

#3 - 11/01/2019 03:47 PM - victorr
- File Deploy friends parachute.png added

#4 - 11/04/2019 05:16 PM - victorr
- Status changed from Confirmed to Acknowledged

- % Done changed from 10 to 100

Files

Deploy friends parachute.png 1.94 MB
